# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'nasa/client/version'

Gem::Specification.new do |spec|
  spec.name = 'nasa-api-client'
  spec.version = NASA::Client::VERSION
  spec.authors = ['MichaelAChrisco']
  spec.email = ['michaelachrisco@gmail.com']

  spec.summary = 'NASA API client'
  spec.description = 'A ruby client. For Space.'
  spec.homepage = 'https://github.com/michaelachrisco/nasa-api-client'
  spec.license = 'MIT'

  spec.files = `git ls-files -z`.split("\x0")
               .reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir = 'exe'
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'blanket_wrapper', '~> 3.0.0'
  spec.add_dependency 'rest-client'
  spec.add_dependency 'hashie'
  spec.add_development_dependency 'bundler', '~> 1.7'
  spec.add_development_dependency 'codeclimate-test-reporter'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.2.0'
  spec.add_development_dependency 'rspec-its', '~> 1.2.0'
  # spec.add_development_dependency 'vcr', '~> 2.9.0'
  # spec.add_development_dependency 'webmock', '~> 1.20.0'
  spec.add_development_dependency 'simplecov', '~> 0.9.0'
end
